Bug 969908 - Add Section to Part: Validating the Installation with 'Updating the Environment'
Add Section to Part: Validating the Installation with 'Updating the Environment'
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Installation_and_Configuration_Guide (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
: 3.0
Assigned To: Summer Long
: Documentation, Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-06-02 21:23 EDT by Summer Long
Modified: 2013-07-01 16:24 EDT (History)
4 users (show)

See Also:
Fixed In Version: Red_Hat_OpenStack-Installation_and_Configuration_Guide-3-en-US-3-17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-01 16:24:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Summer Long 2013-06-02 21:23:29 EDT
Description of problem:
See 959515. 
The Validating The Installation section should have three subsections. The third  will be: 
Updating the Environment
        Creating Networks (create two: internal and one external)
        Creating a Router (connect networks)
        Associating a Floating IP Address (add and assoc. to an instance)
        Adding a Security Group Rule (include validating check to the instance)

Version-Release number of selected component (if applicable):

Document URL: 

Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:
Comment 2 Summer Long 2013-06-02 21:25:10 EDT
Should use a small diagram to indicate how the updated cloud will look.
Comment 3 Summer Long 2013-06-06 19:40:04 EDT
Copied notes from Julie Pichon's review for 959515 (applicable to this section):
Chapter: Updating the Environment:
14.1 / Associating a Floating IP with the instance
These comments are only relevant if we're assuming users are using Openstack Networking/Quantum. If we want to keep the chapter applicable to both nova-networking and openstack networking they can probably be ignored.

  * Should we include the command-line information on how to create a pool? I can never remember how to do this when using Openstack Networking.
  * When using Openstack Networking as opposed to nova-network, the drop-down menu is called "Port to be associated" instead of "Instances".

14.2 / Adding a rule to a security group

  * "Alternatively select an existing security group from the Source Group list to use the same IP address range selection for this entry." -- I believe this is either incorrect or very unclear, and should be clarified. To me, this seems to be saying that it will "reuse" the CIDR for that port range from the other security group.

Providing another security group as a source means that any instance from that source security group, is allowed to connect to an instance with the security group we're currently defining. For instance, if we're editing the "default" security group, and it has:
From: 22 To: 22 Source: "that-other-group"
It means all instances with the "default" security group accept inbound connections from instances with "that-other-group" on port 22. By default, the "default" group accepts all connections from source "default", meaning that instances with the "default" security group can talk to each other on any port.

Have started the work-through.
Comment 6 Summer Long 2013-06-11 01:26:57 EDT
Ok, have finished the reworks. Am sending over to Julie for the review (email/rhos-dev). Review source is here:
Comment 7 Julie Pichon 2013-06-11 07:40:30 EDT
Thanks for the update, this looks good to me. I only have a couple of minor comments about things that could be a little confusing.

14.1 / Defining a Floating IP-Address pool

  * Step 1 creates a network named "ext-net" while in step 2 the network is called "ext-nerwork". The network name argument in the example is also not placed in the same position as in the command reference, which can make understanding the different parameters a bit more awkward.

14.2 / Creating a Router

  * Having followed the steps I can't select a subnet arriving at step 6b. I wonder if there should be an additional prerequisite to create a network + subnet, like the one defined as rh02-internal on figure 14.4? Until I explicitly create a network and subnet (using Horizon), for me the drop-down shown on Figure 14.3 remains empty.
Comment 8 Summer Long 2013-06-11 20:30:17 EDT
Have reworked using Julie's comments, also updated more around the prereqs and 'see also' topics. Bob, would you take a look as well? thanks, Summer
Comment 9 Summer Long 2013-06-13 02:03:24 EDT
Moving to MODIFIED. Ready for QA in case Bob doesn't get a chance to review as well.
Comment 12 Summer Long 2013-06-14 01:08:31 EDT
Fixed typo, and added 'specify router name' step. This can be moved to QA with the next doc release.

Note You need to log in before you can comment on or make changes to this bug.